snmp_varbind Struct Reference

`#include <snmp.h>`

## Data Fields

struct snmp_varbind * | next
struct snmp_obj_id | oid
u8_t | type
u16_t | value_len
void * | value

## Detailed Description

SNMP variable binding descriptor (publicly needed for traps)

## Field Documentation

## next

struct snmp_varbind* snmp_varbind::next

pointer to next varbind, NULL for last in list

## oid

struct snmp_obj_id snmp_varbind::oid

object identifier

## type

u8_t snmp_varbind::type

value ASN1 type

## value

void* snmp_varbind::value

object value

## value_len

u16_t snmp_varbind::value_len

object value length

The documentation for this struct was generated from the following file:

- src/include/lwip/apps/snmp.h